Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb
Class SDB

    java.lang.Object
      com.hp.hpl.jena.sdb.SDB

    public class SDB

extends java.lang.Object

Field Summary
`static com.hp.hpl.jena.sparql.util.Symbol` | `annotateGeneratedSQL`
`static java.lang.String` | `BUILD_DATE` The date and time at which this release was built
`static com.hp.hpl.jena.sparql.util.Symbol` | `jdbcFetchSize`
`static com.hp.hpl.jena.sparql.util.Symbol` | `jdbcStream` Control/attempt JDBC streaming - mosty databases allow only one outstanding streaming request
`static java.lang.String` | `MAJOR_VERSION` The major version number for this release of SDB (ie '2' for SDB 2.0)
`static java.lang.String` | `MINOR_VERSION` The minor version number for this release of SDB (ie '0' for SDB 2.0)
`static java.lang.String` | `NAME` The product name
`static java.lang.String` | `namespace` SDB namespace
`static java.lang.String` | `PATH` The root package name for SDB
`static com.hp.hpl.jena.sparql.util.Symbol` | `streamGraphAPI` Control whether GraphSDB streams results to find - must ensure all Jena iterators are closed if this is set true
`static java.lang.String` | `symbolPrefix`
`static java.lang.String` | `symbolSpace`
`static com.hp.hpl.jena.sparql.util.Symbol` | `unionDefaultGraph`
`static com.hp.hpl.jena.sparql.util.Symbol` | `useQuadRewrite`
`static java.lang.String` | `VERSION` The full name of the current SDB version
`static java.lang.String` | `VERSION_STATUS` The version status for this release of SDB (eg '-beta1' or the empty string)
`static java.lang.String` | `WEBSITE` The SDB web site : see also http://jena.sourceforge.net

Constructor Summary
`SDB()`

Method Summary
`static com.hp.hpl.jena.sparql.util.Symbol` | `allocSymbol(java.lang.String shortName)`
`static Store` | `createInMemoryStore()` Create an H2-backed in-memory store for testing.
`static com.hp.hpl.jena.sparql.util.Context` | `getContext()`
`static com.hp.hpl.jena.shared.PrefixMapping` | `getGlobalPrefixMapping()`
`static void` | `init()`
`static void` | `whenRequiredByAssembler(com.hp.hpl.jena.assembler.assemblers.AssemblerGroup g)` Used by Jena assemblers for registration

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespace

    public static final java.lang.String namespace

  SDB namespace

  See Also:
    Constant Field Values

### symbolPrefix

    public static final java.lang.String symbolPrefix

See Also:
  Constant Field Values

### symbolSpace

    public static final java.lang.String symbolSpace

See Also:
  Constant Field Values

### useQuadRewrite

    public static final com.hp.hpl.jena.sparql.util.Symbol useQuadRewrite

### unionDefaultGraph

    public static final com.hp.hpl.jena.sparql.util.Symbol unionDefaultGraph

### streamGraphAPI

    public static final com.hp.hpl.jena.sparql.util.Symbol streamGraphAPI

  Control whether GraphSDB streams results to find - must ensure all Jena iterators are closed if this is set true

### jdbcStream

    public static final com.hp.hpl.jena.sparql.util.Symbol jdbcStream

  Control/attempt JDBC streaming - mosty databases allow only one outstanding streaming request

### jdbcFetchSize

    public static final com.hp.hpl.jena.sparql.util.Symbol jdbcFetchSize

### annotateGeneratedSQL

    public static final com.hp.hpl.jena.sparql.util.Symbol annotateGeneratedSQL

### PATH

    public static final java.lang.String PATH

  The root package name for SDB

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  The product name

  See Also:
    Constant Field Values

### WEBSITE

    public static final java.lang.String WEBSITE

  The SDB web site : see also http://jena.sourceforge.net

  See Also:
    Constant Field Values

### VERSION

    public static final java.lang.String VERSION

  The full name of the current SDB version

  See Also:
    Constant Field Values

### MAJOR_VERSION

    public static final java.lang.String MAJOR_VERSION

  The major version number for this release of SDB (ie '2' for SDB 2.0)

  See Also:
    Constant Field Values

### MINOR_VERSION

    public static final java.lang.String MINOR_VERSION

  The minor version number for this release of SDB (ie '0' for SDB 2.0)

  See Also:
    Constant Field Values

### VERSION_STATUS

    public static final java.lang.String VERSION_STATUS

  The version status for this release of SDB (eg '-beta1' or the empty string)

  See Also:
    Constant Field Values

### BUILD_DATE

    public static final java.lang.String BUILD_DATE

  The date and time at which this release was built

  See Also:
    Constant Field Values

Constructor Detail

### SDB

    public SDB()

Method Detail

### getContext

    public static com.hp.hpl.jena.sparql.util.Context getContext()

### init

    public static void init()

### whenRequiredByAssembler

    public static void whenRequiredByAssembler(com.hp.hpl.jena.assembler.assemblers.AssemblerGroup g)

  Used by Jena assemblers for registration

### getGlobalPrefixMapping

    public static com.hp.hpl.jena.shared.PrefixMapping getGlobalPrefixMapping()

### allocSymbol

    public static com.hp.hpl.jena.sparql.util.Symbol allocSymbol(java.lang.String shortName)

### createInMemoryStore

    public static Store createInMemoryStore()

  Create an H2-backed in-memory store for testing.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP